Package org.opensaml.xmlsec.config.impl

# Class DefaultSecurityConfigurationBootstrap

java.lang.Object
org.opensaml.xmlsec.config.impl.DefaultSecurityConfigurationBootstrap

public class DefaultSecurityConfigurationBootstrap extends Object
A utility class which programmatically builds basic instances of various components related to security configuration which have reasonable default values for their various configuration parameters.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONCATKDF`
Config property value for default KDF: ConcatKDF.
`static final String`
`CONFIG_PROPERTY_ECDH_DEFAULT_KDF`
Config property name for ECDH default Key Derivation Function (KDF).
`private static final org.slf4j.Logger`
`LOG`
Logger.
`static final String`
`PBKDF2`
Config property value for default KDF: PBKDF2.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DefaultSecurityConfigurationBootstrap()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected static EncryptedKeyResolver`
`buildBasicEncryptedKeyResolver()`
Build a basic instance of `EncryptedKeyResolver`.
`static KeyInfoCredentialResolver`
`buildBasicInlineKeyInfoCredentialResolver()`
Build a basic instance of `KeyInfoCredentialResolver`.
`static NamedKeyInfoGeneratorManager`
`buildBasicKeyInfoGeneratorManager()`
Build a basic `NamedKeyInfoGeneratorManager`.
`protected static NamedKeyInfoGeneratorManager`
`buildDataEncryptionKeyInfoGeneratorManager()`
Build a basic `NamedKeyInfoGeneratorManager` for use when generating an `EncryptedData`.
`static BasicDecryptionConfiguration`
`buildDefaultDecryptionConfiguration()`
Build and return a default decryption configuration.
`static BasicEncryptionConfiguration`
`buildDefaultEncryptionConfiguration()`
Build and return a default encryption configuration.
`static BasicSignatureSigningConfiguration`
`buildDefaultSignatureSigningConfiguration()`
Build and return a default signature signing configuration.
`static BasicSignatureValidationConfiguration`
`buildDefaultSignatureValidationConfiguration()`
Build and return a default signature validation configuration.
`protected static Map<String,KeyAgreementEncryptionConfiguration>`
`buildKeyAgreementConfigurations()`
Build key agreement configurations.
`protected static NamedKeyInfoGeneratorManager`
`buildKeyTransportEncryptionKeyInfoGeneratorManager()`
Build a basic `NamedKeyInfoGeneratorManager` for use when generating an `EncryptedKey`.
`protected static NamedKeyInfoGeneratorManager`
`buildSignatureKeyInfoGeneratorManager()`
Build a basic `NamedKeyInfoGeneratorManager` for use when generating an `Signature`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONFIG_PROPERTY_ECDH_DEFAULT_KDF

@Nonnull @NotEmpty public static final String CONFIG_PROPERTY_ECDH_DEFAULT_KDF
Config property name for ECDH default Key Derivation Function (KDF).

See Also:
  - Constant Field Values

### CONCATKDF

@Nonnull @NotEmpty public static final String CONCATKDF
Config property value for default KDF: ConcatKDF.

See Also:
  - Constant Field Values

### PBKDF2

@Nonnull @NotEmpty public static final String PBKDF2
Config property value for default KDF: PBKDF2.

See Also:
  - Constant Field Values

### LOG

@Nonnull private static final org.slf4j.Logger LOG
Logger.

## Constructor Details

### DefaultSecurityConfigurationBootstrap

protected DefaultSecurityConfigurationBootstrap()
Constructor.

## Method Details

### buildDefaultEncryptionConfiguration

@Nonnull public static BasicEncryptionConfiguration buildDefaultEncryptionConfiguration()
Build and return a default encryption configuration.

Returns:
  a new basic configuration with reasonable default values

### buildKeyAgreementConfigurations

@Nonnull protected static Map<String,KeyAgreementEncryptionConfiguration> buildKeyAgreementConfigurations()
Build key agreement configurations.

Returns:
  key agreement configurations.

### buildDefaultDecryptionConfiguration

@Nonnull public static BasicDecryptionConfiguration buildDefaultDecryptionConfiguration()
Build and return a default decryption configuration.

Returns:
  a new basic configuration with reasonable default values

### buildDefaultSignatureSigningConfiguration

@Nonnull public static BasicSignatureSigningConfiguration buildDefaultSignatureSigningConfiguration()
Build and return a default signature signing configuration.

Returns:
  a new basic configuration with reasonable default values

### buildDefaultSignatureValidationConfiguration

@Nonnull public static BasicSignatureValidationConfiguration buildDefaultSignatureValidationConfiguration()
Build and return a default signature validation configuration.

Returns:
  a new basic configuration with reasonable default values

### buildBasicEncryptedKeyResolver

@Nonnull protected static EncryptedKeyResolver buildBasicEncryptedKeyResolver()
Build a basic instance of `EncryptedKeyResolver`.

Returns:
  an EncryptedKey resolver instance

### buildBasicInlineKeyInfoCredentialResolver

@Nonnull public static KeyInfoCredentialResolver buildBasicInlineKeyInfoCredentialResolver()
Build a basic instance of `KeyInfoCredentialResolver`.

Returns:
  a KeyInfo credential resolver instance

### buildDataEncryptionKeyInfoGeneratorManager

@Nonnull protected static NamedKeyInfoGeneratorManager buildDataEncryptionKeyInfoGeneratorManager()
Build a basic `NamedKeyInfoGeneratorManager` for use when generating an `EncryptedData`.

Returns:
  a named KeyInfo generator manager instance

### buildKeyTransportEncryptionKeyInfoGeneratorManager

@Nonnull protected static NamedKeyInfoGeneratorManager buildKeyTransportEncryptionKeyInfoGeneratorManager()
Build a basic `NamedKeyInfoGeneratorManager` for use when generating an `EncryptedKey`.

Returns:
  a named KeyInfo generator manager instance

### buildSignatureKeyInfoGeneratorManager

@Nonnull protected static NamedKeyInfoGeneratorManager buildSignatureKeyInfoGeneratorManager()
Build a basic `NamedKeyInfoGeneratorManager` for use when generating an `Signature`.

Returns:
  a named KeyInfo generator manager instance

### buildBasicKeyInfoGeneratorManager

@Nonnull public static NamedKeyInfoGeneratorManager buildBasicKeyInfoGeneratorManager()
Build a basic `NamedKeyInfoGeneratorManager`.

Returns:
  a named KeyInfo generator manager instance